Bug 75386 - CDROM boot hangs on dual PIII after changing IO-APIC ID
CDROM boot hangs on dual PIII after changing IO-APIC ID
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-10-07 17:37 EDT by Anthon Pang
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:40:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Anthon Pang 2002-10-07 17:37:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:1.2a) Gecko/20020910

Description of problem:
Booting from the CD, the kernel hangs (keyboard unresponsive to CTRL-ALT-DEL)
after the following message is displayed:

Setting 2 in the phys_id_present_map
...changing IO-APIC physical API ID to 2... ok.
...TIMER: vector=0x31 pin1=2 pin2=0

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Insert CDROM (Psyche ISO disc 1)
2. Cold boot / reboot box
3. At boot prompt, hit return or enter "linux noprobe"

Actual Results:  Kernel messages scroll by.  Waited 10 minutes with no change in
status.  Keyboard was unresponsive to CTRL-ALT-DEL.  Similarly, the Shift Lock
and Num Lock keys didn't toggle the LEDs.

Expected Results:  Expected to get the install GUI so I could upgrade the box to
RH8.  The CD was media checked and used successfully to upgrade my other box to
RH8 ("olympus" - an Athlon uniprocessor box).

Additional info:

This box boots fine with the Red Hat 7.1 linux-up kernel.  Feel free to refer to
my hardware configuration in my list of RHN subscribed systems for more info
("gemini" -- an ASUS CUV4X-D motherboard, dual Pentium III (1.0 GHz), with 1 GB
of RAM).

Contents of screen:

Memory: 898528k/917504k available (1162k kernel code, 16412k reserved, 359k
data, 176k init, 0k highmem)
Dentry cache hash table entries: 131072 (order: 8, 1048576 bytes)
Inode cache hash table entries: 65536 (order: 7, 524288 bytes)
Mount cache hash table entries: 16384 (order: 5, 131072 bytes)
Buffer cache hash table entries: 65536 (order: 6, 262144 bytes)
Page-cache hash table entries: 262144 (order: 8, 1048576 bytes)
CPU: L1 I cache: 16K, L1 D cache: 16K
CPU: L2 cache: 256K
Intel machine check architecture supported.
Intel machine check reporting enabled in CPU#0
CPU:  Intel Pentium III (Coppermine) stepping 0a
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
Checking for popad bug... OK.
POSIX conformance testing by UNIFIX
Enabling ExtINT on CPU#0
ESR value before enabling vector: 00000000
ESR value after enabling vector: 00000000
Setting 2 in the phys_id_present_map
...changing IO-APIC physical API ID to 2... ok.
...TIMER: vector=0x31 pin1=2 pin2=0
Comment 1 Arjan van de Ven 2002-10-08 04:19:37 EDT
can you try passing the "noapic" option ?
Comment 2 Anthon Pang 2002-10-08 13:53:55 EDT
The noapic option (workaround?) works (kernel boots) -- I'll add this to the
append setting in lilo.conf. Pls advise if you need more info.
Comment 3 Bugzilla owner 2004-09-30 11:40:02 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.